Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.lang
Class LabelUtil

    java.lang.Object
      jif.lang.LabelUtil

    public class LabelUtil

extends java.lang.Object

A Label is the runtime representation of a Jif label. A Label consists of a set of components, each of which is a `Policy`.

Method Summary
`static Label` | `bottom()`
`static boolean` | `equivalentTo(Label l1, Label l2)`
`protected static java.util.Set` | `flattenJoin(Label l)`
`protected static java.util.Set` | `flattenJoin(java.util.Set labels)`
`static boolean` | `isReadableBy(Label lbl, Principal p)`
`static Label` | `join(Label l1, Label l2)`
`static Label` | `privacyPolicyLabel(Label lbl, Principal owner, Principal[] readers)` See the signature for the explanation of lbl.
`static Label` | `privacyPolicyLabel(Principal owner, java.util.Collection readers)`
`static Label` | `privacyPolicyLabel(Principal owner, PrincipalSet readers)`
`static boolean` | `relabelsTo(Label from, Label to)`
`static java.lang.String` | `stringValue(Label lb)`
`static java.lang.String` | `toString(Label lb)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### bottom

    public static Label bottom()

### privacyPolicyLabel

    public static Label privacyPolicyLabel(Principal owner,
                                           java.util.Collection readers)

### privacyPolicyLabel

    public static Label privacyPolicyLabel(Label lbl,
                                           Principal owner,
                                           Principal[] readers)

  See the signature for the explanation of lbl.

### privacyPolicyLabel

    public static Label privacyPolicyLabel(Principal owner,
                                           PrincipalSet readers)

### join

    public static Label join(Label l1,
                             Label l2)

### equivalentTo

    public static boolean equivalentTo(Label l1,
                                       Label l2)

### isReadableBy

    public static boolean isReadableBy(Label lbl,
                                       Principal p)

### relabelsTo

    public static boolean relabelsTo(Label from,
                                     Label to)

### stringValue

    public static java.lang.String stringValue(Label lb)

### toString

    public static java.lang.String toString(Label lb)

### flattenJoin

    protected static java.util.Set flattenJoin(Label l)

### flattenJoin

    protected static java.util.Set flattenJoin(java.util.Set labels)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD